package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.RdPersonnel;
import com.lightinit.hsdatashow.entity.RdPersonnelExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface RdPersonnelMapper {
    long countByExample(RdPersonnelExample example);

    int deleteByExample(RdPersonnelExample example);

    int deleteByPrimaryKey(Long id);

    int insert(RdPersonnel record);

    int insertSelective(RdPersonnel record);

    List<RdPersonnel> selectByExample(RdPersonnelExample example);

    RdPersonnel selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") RdPersonnel record, @Param("example") RdPersonnelExample example);

    int updateByExample(@Param("record") RdPersonnel record, @Param("example") RdPersonnelExample example);

    int updateByPrimaryKeySelective(RdPersonnel record);

    int updateByPrimaryKey(RdPersonnel record);

    List<RdPersonnel> selectList(int year);
}